﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IndustryConnect.Bootcamp.Three
{
    class Program
    {
        static void Main(string[] args)
        {
            // Get all the songs
            using (var db = new MusikEntities())
            {
                var allSongs = db.Songs.ToList();

                foreach (var item in allSongs)
                {
                    Console.WriteLine("Song is called {0}", item.Name);
                }
            }

            // Get all the songs with name start with 'l'
            using (var db = new MusikEntities())
            {
                var allSongs = db.Songs.Where(n => n.Name.StartsWith("l")).ToList();

                foreach (var item in allSongs)
                {
                    Console.WriteLine("Song is called {0}", item.Name);
                }
            }

            // Get all the songs as well as the artist
            using (var db = new MusikEntities())
            {
                var allSongs = db.Songs.Include("Artist").ToList();

                foreach (var item in allSongs)
                {
                    Console.WriteLine("Song is called {0} by {1}", item.Name, item.Artist.Name);
                }
            }


            // Get all the songs by Lorde
            using (var db = new MusikEntities())
            {
                var allSongs = db.Songs.Include("Artist").Where(n => n.Artist.Name == "Lorde").ToList();

                foreach (var item in allSongs)
                {
                    Console.WriteLine("Song is called {0} by {1}", item.Name, item.Artist.Name);
                }
            }

            // Get all the songs by any artist from US
            using (var db = new MusikEntities())
            {
                var allSongs = db.Songs.Include("Artist").Where(n => n.Artist.Country == "US").ToList();

                foreach (var item in allSongs)
                {
                    Console.WriteLine("Song is called {0} by {1}", item.Name, item.Artist.Name);
                }
            }

            // ... to be continued during session


            Console.ReadKey();
        }
    }
}
